> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/sn_search/users

> Linkedin Sales Navigator Search Users

**Price:** 150 credits per 100 results



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/sn_search/users
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/sn_search/users:
    post:
      tags:
        - LinkedIn Social Search
      summary: /linkedin/sn_search/users
      description: |-
        Linkedin Sales Navigator Search Users

        **Price:** 150 credits per 100 results
      operationId: __api_linkedin_sn_search_users_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinSalesNavigatorSearchUsersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinSalesNavigatorSearchUsersUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinSalesNavigatorSearchUsersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          type: string
          default: ''
        first_names:
          items:
            type: string
          type: array
          uniqueItems: true
        last_names:
          items:
            type: string
          type: array
          uniqueItems: true
        current_titles:
          items:
            type: string
          type: array
          uniqueItems: true
        location:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_geo__'
              type: array
              uniqueItems: true
            - type: string
        education:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_company__'
              type: array
              uniqueItems: true
            - type: string
        languages:
          items:
            type: string
            enum:
              - Arabic
              - English
              - Spanish
              - Portuguese
              - Chinese
              - French
              - Italian
              - Russian
              - German
              - Dutch
              - Turkish
              - Tagalog
              - Polish
              - Korean
              - Japanese
              - Malay
              - Norwegian
              - Danish
              - Romanian
              - Swedish
              - Bahasa Indonesia
              - Czech
          type: array
          uniqueItems: true
        past_titles:
          items:
            type: string
          type: array
          uniqueItems: true
        functions:
          items:
            type: string
            enum:
              - Accounting
              - Administrative
              - Arts and Design
              - Business Development
              - Community and Social Services
              - Consulting
              - Education
              - Engineering
              - Entrepreneurship
              - Finance
              - Healthcare Services
              - Human Resources
              - Information Technology
              - Legal
              - Marketing
              - Media and Communication
              - Military and Protective Services
              - Operations
              - Product Management
              - Program and Project Management
              - Purchasing
              - Quality Assurance
              - Research
              - Real Estate
              - Sales
              - Customer Success and Support
          type: array
          uniqueItems: true
        levels:
          items:
            type: string
            enum:
              - Entry
              - Director
              - Owner
              - CXO
              - Vice President
              - Experienced Manager
              - Entry Manager
              - Strategic
              - Senior
              - Trainy
          type: array
          uniqueItems: true
        years_in_the_current_company:
          items:
            type: string
            enum:
              - 0-1
              - 1-2
              - 3-5
              - 6-10
              - 10+
          type: array
          uniqueItems: true
        years_in_the_current_position:
          items:
            type: string
            enum:
              - 0-1
              - 1-2
              - 3-5
              - 6-10
              - 10+
          type: array
          uniqueItems: true
        company_sizes:
          items:
            type: string
            enum:
              - Self-employed
              - 1-10
              - 11-50
              - 51-200
              - 201-500
              - 501-1,000
              - 1,001-5,000
              - 5,001-10,000
              - 10,001+
          type: array
          uniqueItems: true
        company_types:
          items:
            type: string
            enum:
              - Public Company
              - Privately Held
              - Non Profit
              - Educational Institution
              - Partnership
              - Self Employed
              - Self Owned
              - Government Agency
          type: array
          uniqueItems: true
        company_locations:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_geo__'
              type: array
              uniqueItems: true
            - type: string
        current_companies:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_company__'
              type: array
              uniqueItems: true
            - type: string
        past_companies:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_company__'
              type: array
              uniqueItems: true
            - type: string
        industry:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_industry__'
              type: array
              uniqueItems: true
            - type: string
        is_posted_on_linkedin:
          anyOf:
            - type: boolean
            - type: 'null'
        count:
          type: integer
          maximum: 2500
          minimum: 1
        company_keyword:
          type: string
          default: ''
        past_company_keyword:
          type: string
          default: ''
      type: object
      required:
        - count
    LinkedinSalesNavigatorSearchUsersUser:
      properties:
        '@type':
          type: string
          default: LinkedinSalesNavigatorSearchUsersUser
        internal_id:
          $ref: '#/components/schemas/LinkedinURN'
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        name:
          type: string
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        is_premium:
          type: boolean
          default: false
        current_companies:
          items:
            $ref: >-
              #/components/schemas/LinkedinSalesNavigatorSearchUsersCurrentCompany
          type: array
          default: []
      type: object
      required:
        - internal_id
        - urn
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_geo__:
      properties:
        type:
          type: string
          const: geo
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_company__:
      properties:
        type:
          type: string
          const: company
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_industry__:
      properties:
        type:
          type: string
          const: industry
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN:
      properties:
        type:
          $ref: '#/components/schemas/LinkedinURNPrefix'
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinSalesNavigatorSearchUsersCurrentCompany:
      properties:
        '@type':
          type: string
          default: LinkedinSalesNavigatorSearchUsersCurrentCompany
        company:
          anyOf:
            - $ref: '#/components/schemas/LinkedinSalesNavigatorSearchUsersCompany'
            - type: string
            - type: 'null'
        position:
          type: string
        joined:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - position
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURNPrefix:
      type: string
      enum:
        - fsd_company
        - fsd_group
        - fsd_profile
        - fsd_skill
        - activity
        - comment
        - company
        - group
        - geo
        - pulse
        - member
        - industry
        - ugcPost
        - job
        - message
        - conversation
        - media
        - share
        - linkedInArticle
    LinkedinSalesNavigatorSearchUsersCompany:
      properties:
        '@type':
          type: string
          default: LinkedinSalesNavigatorSearchUsersCompany
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_company__'
        url:
          type: string
        name:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - urn
        - url
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````